
plan = get_plan(memory)

# check plan state
assert_equals(plan.state, 'done')
# check steps'state
assert_equals(plan.elements['step1'].state, 'done')

# check generated elements
elements = list(get_elements(memory))
assert_equals(len(elements), 6)
produced_elmts = [elmt for elmt in elements if elmt.identity]
assert_equals(len(produced_elmts), 3)
# elements selected in input list1 from step 1 should be outdated
for elmt in elements:
    if not elmt in produced_elmts and elmt.el_id:
        assert elmt.outdated, elmt
    else:
        assert not elmt.outdated, elmt.outdated
